[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [Engine](index.md) / [createSession](./create-session.md)

# createSession

`abstract fun createSession(private: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false): `[`EngineSession`](../-engine-session/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/Engine.kt#L84)

Creates a new engine session.

### Parameters

`private` - whether or not this session should use private mode.

**Return**
the newly created [EngineSession](../-engine-session/index.md).

